'use strict';

/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/text.html
 */
var text = {
  PROPS: [{
    name: 'selectable',
    get: function get(domNode) {
      return !!domNode.getAttribute('selectable');
    }
  }, {
    name: 'space',
    get: function get(domNode) {
      return domNode.getAttribute('space') || '';
    }
  }, {
    name: 'decode',
    get: function get(domNode) {
      return !!domNode.getAttribute('decode');
    }
  }],
  handles: {}
};

exports.default = text;
